Package org.apache.lucene.util.hnsw

## Interface RandomAccessVectorValues.Floats

- All Superinterfaces:
    `RandomAccessVectorValues`
  All Known Implementing Classes:
    `OffHeapFloatVectorValues`, `OffHeapFloatVectorValues.DenseOffHeapVectorValues`
  Enclosing interface:
    RandomAccessVectorValues

      public static interface RandomAccessVectorValues.Floats
      extends RandomAccessVectorValues

  Float vector values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.lucene.util.hnsw.RandomAccessVectorValues

      `RandomAccessVectorValues.Bytes, RandomAccessVectorValues.Floats`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RandomAccessVectorValues.Floats` | `copy()` | Creates a new copy of this `RandomAccessVectorValues`.
    `default int` | `getVectorByteLength()` | Returns the vector byte length, defaults to dimension multiplied by float byte size
    `float[]` | `vectorValue​(int targetOrd)` | Return the vector value indexed at the given ordinal.

    - ### Methods inherited from interface org.apache.lucene.util.hnsw.RandomAccessVectorValues

      `dimension, getAcceptOrds, getSlice, ordToDoc, size`

- - ### Method Detail

    - #### copy

          RandomAccessVectorValues.Floats copy()
                                        throws IOException

      Description copied from interface: `RandomAccessVectorValues`
      Creates a new copy of this `RandomAccessVectorValues`. This is helpful when you need to access different values at once, to avoid overwriting the underlying vector returned.
      Specified by:
        `copy` in interface `RandomAccessVectorValues`
      Throws:
        `IOException`

    - #### vectorValue

          float[] vectorValue​(int targetOrd)
                       throws IOException

      Return the vector value indexed at the given ordinal.
      Parameters:
        `targetOrd` - a valid ordinal, ≥ 0 and < `RandomAccessVectorValues.size()`.
      Throws:
        `IOException`

    - #### getVectorByteLength

          default int getVectorByteLength()

      Returns the vector byte length, defaults to dimension multiplied by float byte size
      Specified by:
        `getVectorByteLength` in interface `RandomAccessVectorValues`